Debian Bug report logs - #614451
xfce4-radio-plugin: FTBFS: videodev2.h:1667: error: field 'timestamp' has incomplete type

version graph

Package: src:xfce4-radio-plugin; Maintainer for src:xfce4-radio-plugin is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 21 Feb 2011 22:40:09 UTC

Severity: serious

Tags: sid, wheezy

Found in version xfce4-radio-plugin/0.4.2-1

Fixed in version xfce4-radio-plugin/0.4.4-1

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#614451; Package src:xfce4-radio-plugin. (Mon, 21 Feb 2011 22:40:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Mon, 21 Feb 2011 22:40:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: xfce4-radio-plugin: FTBFS: videodev2.h:1667: error: field 'timestamp' has incomplete type
Date: Mon, 21 Feb 2011 23:35:10 +0100
Source: xfce4-radio-plugin
Version: 0.4.2-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110221 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I..    -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -pthread -I/usr/include/xfce4/ -I/usr/include/xfce4 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libdrm -I/usr/include/atk-1.0 -std=c99 -g -O2 -g -O2 -c -o xfce4_radio_plugin-xfce4-radio.o `test -f 'xfce4-radio.c' || echo './'`xfce4-radio.c
> In file included from /usr/include/linux/videodev.h:17,
>                  from xfce4-radio.h:29,
>                  from xfce4-radio.c:45:
> /usr/include/linux/videodev2.h:1667: error: field 'timestamp' has incomplete type
> make[3]: *** [xfce4_radio_plugin-xfce4-radio.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/02/21/xfce4-radio-plugin_0.4.2-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Removed tag(s) squeeze. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:12:19 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:13:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#614451; Package src:xfce4-radio-plugin. (Tue, 22 Feb 2011 06:52:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 22 Feb 2011 06:52:23 GMT) Full text and rfc822 format available.

Message #14 received at 614451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 614451@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#614451: xfce4-radio-plugin: FTBFS: videodev2.h:1667: error: field 'timestamp' has incomplete type
Date: Tue, 22 Feb 2011 07:48:27 +0100
[Message part 1 (text/plain, inline)]
On lun., 2011-02-21 at 23:35 +0100, Lucas Nussbaum wrote:
> Source: xfce4-radio-plugin
> Version: 0.4.2-1
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20110221 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> > gcc -DHAVE_CONFIG_H -I. -I..    -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -pthread -I/usr/include/xfce4/ -I/usr/include/xfce4 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libdrm -I/usr/include/atk-1.0 -std=c99 -g -O2 -g -O2 -c -o xfce4_radio_plugin-xfce4-radio.o `test -f 'xfce4-radio.c' || echo './'`xfce4-radio.c
> > In file included from /usr/include/linux/videodev.h:17,
> >                  from xfce4-radio.h:29,
> >                  from xfce4-radio.c:45:
> > /usr/include/linux/videodev2.h:1667: error: field 'timestamp' has incomplete type
> > make[3]: *** [xfce4_radio_plugin-xfce4-radio.o] Error 1
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2011/02/21/xfce4-radio-plugin_0.4.2-1_lsid64.buildlog
> 

A new upstream releases fixing the bug is already present in our svn but
will have to wait for xfce4-panel in experimental to be built (and so
for garcon to be ACCEPTED).

I'll keep it that way for now, and in case it's becoming a real problem
(for example because of a transition) I'll push the patch to unstable.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 01:03:16 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 01:03:16 GMT) Full text and rfc822 format available.

Message #19 received at 614451-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 614451-close@bugs.debian.org
Subject: Bug#614451: fixed in xfce4-radio-plugin 0.4.4-1
Date: Sun, 27 Feb 2011 01:02:07 +0000
Source: xfce4-radio-plugin
Source-Version: 0.4.4-1

We believe that the bug you reported is fixed in the latest version of
xfce4-radio-plugin, which is due to be installed in the Debian FTP archive:

xfce4-radio-plugin_0.4.4-1.debian.tar.gz
  to main/x/xfce4-radio-plugin/xfce4-radio-plugin_0.4.4-1.debian.tar.gz
xfce4-radio-plugin_0.4.4-1.dsc
  to main/x/xfce4-radio-plugin/xfce4-radio-plugin_0.4.4-1.dsc
xfce4-radio-plugin_0.4.4-1_amd64.deb
  to main/x/xfce4-radio-plugin/xfce4-radio-plugin_0.4.4-1_amd64.deb
xfce4-radio-plugin_0.4.4.orig.tar.bz2
  to main/x/xfce4-radio-plugin/xfce4-radio-plugin_0.4.4.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614451@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated xfce4-radio-plugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 27 Feb 2011 01:44:50 +0100
Source: xfce4-radio-plugin
Binary: xfce4-radio-plugin
Architecture: source amd64
Version: 0.4.4-1
Distribution: experimental
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 xfce4-radio-plugin - v4l radio control plugin for the Xfce4 panel
Closes: 614451
Changes: 
 xfce4-radio-plugin (0.4.4-1) experimental; urgency=low
 .
   * New upstream release.
     - fix FTBFS.                                                closes: #614451
   * debian/control:
     - add build-dep on libxfcegui4-dev now that it's not pulled by
       xfce4-panel-dev anymore.
     - switch to xfce section.
     - update standards version to 3.9.1.
     - update debhelper build-dep to 7.
     - add build-dep on hardening-includes.
   * Switch to 3.0 (quilt) source format.
   * debian/watch updated to track archive reorganization.
   * debian/compat updated to 7.
   * debian/rules:
     - pick {C,LD}FLAGS from dpkg-buildflags.
     - add -O1, -z,defs and --as-needed to LDFLAGS.
     - add hardening flags to {C,LD}FLAGS.
   * debian/copyright updated to include the complete BSD license text instead
     of a link to the file in base-files.
Checksums-Sha1: 
 d4cbad638e67965bf57f3a9f0db296e2b801d4ce 2167 xfce4-radio-plugin_0.4.4-1.dsc
 252c5c273d3b11da7b5903610095d844374159b0 134947 xfce4-radio-plugin_0.4.4.orig.tar.bz2
 a478597d7476f54b74e6b6298c3322121691d5a6 3135 xfce4-radio-plugin_0.4.4-1.debian.tar.gz
 cd3b2aa5814b8e694dd4ae65a3670a43cb9027d7 50148 xfce4-radio-plugin_0.4.4-1_amd64.deb
Checksums-Sha256: 
 e4165e7301211e6a16bea31c95c4b7e3871e25007bd195f765583bff94890af3 2167 xfce4-radio-plugin_0.4.4-1.dsc
 e0cc3fed66acbe20018ce521711adb75d9262d858ed38ae8f9e80e5ba475364c 134947 xfce4-radio-plugin_0.4.4.orig.tar.bz2
 b8a089c1dc1da61da9f52720899e1af5e8f8a0494eec1f574b5fe6f856b9d019 3135 xfce4-radio-plugin_0.4.4-1.debian.tar.gz
 5c05be7887903740447f407b606e5db24c88548c8c01b84b40daca2ab0b1486e 50148 xfce4-radio-plugin_0.4.4-1_amd64.deb
Files: 
 9f7a7735577cdff13ef951d7b47c203a 2167 xfce optional xfce4-radio-plugin_0.4.4-1.dsc
 7222b39f399852ab15067a3c1cc25574 134947 xfce optional xfce4-radio-plugin_0.4.4.orig.tar.bz2
 99ca9f892112be98870480c1fb57b929 3135 xfce optional xfce4-radio-plugin_0.4.4-1.debian.tar.gz
 ac36ce20dd7e8db9bfcb681a6e91068b 50148 xfce optional xfce4-radio-plugin_0.4.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNaaG/AAoJEDBVD3hx7wuoc6IQAJU6kPM0YFiHdbanj1/1fmys
BsMnC8TPLkOVblFUdtUagc2Zd1xGwDjz7TPyta2rkNExhvKMwGti+6bg3mtsBDRn
gi0Cy1sads5BDvJAU2xb4n+FbH4O7vcK2IreXUASkIlLPrgY+b9QPoJMRPS+KlSD
9A8gOm7OtKpMRrj2cNonR366fJa3WpxU9PZS+YeA4+R7J+fp0/MbRAi5cmcZMK3T
Qu4x5Xx6tgBNJ6SZF6yG7M915NMLvlqa1mbjmOA3SzuOyaBjHjUP8OsJ0VXyc3aD
mJ11PX9MsRVtfT3NLKbOBB7VP5MCPriaDUbQgvqDCyJZiVdKulMYGyetQcG+HCGa
V2abIrhpjOxe/BYQ/EThKrfOtk82sR5u4WB589gR+tTSXV1w6GLqnayfLqJWh1/q
zgTToZULdKDKiRiIQKf7eEMujqj2iZQuqy9yKpH8M10+VoV3+p4ToAoxElX6l6MP
BTsw08+sJVRTTP7yb+uJKxrVhJJTwDO1sUyZufgVppZY9FwCRq4uE5x6cHmBeDST
RoYQHK+svHln28SzKYz7BwQPN+Zo52yMFn/P3MBm9/h+ZlCIpGRs5o7oJ03HyUMZ
4Zec8AlIKERhT1ChoIkUoSGNv3HrPd1/jwnfHbFsvrru42fr3TkLgodpj4liD2VB
dRm8UUr12+fMr1Zx8d34
=Ksfl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:34:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:02:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.